Sync Organization Phone Numbers
curl --request POST \
--url https://api.example.com/api/v1/assistants/organization/phone-numbers/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/assistants/organization/phone-numbers/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/assistants/organization/phone-numbers/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"synced_count": 123
}Organization
Sync Phone Numbers
Sync phone numbers from Twilio to local database.
This will import any new phone numbers from your Twilio account that aren’t already in the local database.
POST
/
api
/
v1
/
assistants
/
organization
/
phone-numbers
/
sync
Sync Organization Phone Numbers
This endpoint triggers a synchronization process with your linked Twilio account. It fetches all phone numbers from Twilio and adds any numbers that are not already present in your organization’s database.
This is useful for ensuring that your local database is up-to-date with the phone numbers available in your Twilio account. The request does not require a body.
Response
A successful sync will return a JSON object confirming the operation and stating how many new numbers were added.Response
{
"success": true,
"message": "Successfully synced 3 phone numbers from Twilio",
"synced_count": 3
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.